LFR-FSW - Bug #3908

Taille des paquets KCOEFF_DUMP en FSW >=3.3
26/11/2021 06:32 PM - bruno katra

Status: Closed Start date: 26/11/2021
Priority: Urgent Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: r0

Description

Les nouveaux paquets KCOEFF_DUMP ne contiennent plus les méme valeurs qu'avant ce qui est normal dans la nouvelle
implémentation : le 1er paquet contient un stream de 676 flottants soit 2704 octets.
Avant en 3.2.0.24 : le paquet contenait 3900 octets (30x(uint16+32xfloats))

Or on voit dans le binaire du dump 3.3.0.1 attaché que la TM KCOEFF_DUMP fait toujours 3900 octets, seuls les 2704 premiers
sont remplis, le reste est a 0 avec des octets de bourrages inutiles. On peut voir le début du stream des flottants a I'offset 768228.

Pour des raisons d'autoconsistance de I'lCD, li¢ aussi aux modifs que I'on demandera a Plasson : le paquet ne devrait contenir que
les 2704 floats.

Related issues:
Related to Feature #3905: La TM_KCOEFF_DUMP n'a plus la structure dédcrite da... Closed 24/11/2021

History

#1 - 29/11/2021 04:31 PM - bruno katra
- Related to Feature #3905: La TM_KCOEFF_DUMP n‘a plus la structure dédcrite dans I''CD added

#2 - 29/11/2021 04:38 PM - bruno katra
- Status changed from New to In Progress

- Priority changed from Normal to Urgent

Probléme pour le 2eme paquet KCOEFF : il est tronqué a la taille de I''CD avec un block_number =6.
Ceci est bloquant pour l'instant car je ne peux pas vérifier que les matrices uploadés sont bien appliquées.
Vu avec Alexis : la mise a jour des 2 DEFINE a 676 et 338 devrait résoudre le probleme.

#3 - 29/11/2021 05:08 PM - Alexis Jeandet

Ce build integre le correctif pour set correctement le BLK_NR (nombre de float)
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/L frFlightSoftware_BuildlLpp/72131

#4 - 29/11/2021 05:29 PM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

Ok merci je me réassigne l'issue. Je vais tester.
Mais du coup c'est toujours une 3.3.0.1 ? Pas de changement de versions?

#5 - 29/11/2021 05:47 PM - Alexis Jeandet

nope, en effet, je comptais release avec le correctif des changements de mode.

#6 - 01/12/2021 12:35 PM - bruno katra

- Assignee changed from bruno katra to Alexis Jeandet

Dans cette version 3.3.0.1b : les KCOEFF_DUMP ne sont plus envoyés du tout par LFR, mais la commande est quand méme acquitée avec
SUCESS.
Voici la trace des paquets aprés I'envoi de 4 TC KCOEFF_DUMP, on y voit bien les acquittements mais pas les DUMP :

2021 121 12:27:59:118 TM_LFR_HK time = 0x 293a26ce 1db
2021 121 12:28:00:118 TM_LFR_HK time = 0x 293a26¢cf 1db
https://hephaistos.lpp.polytechnique.fr/teamcity/buildConfiguration/LfrFlightSoftware_BuildLpp/72131

2021 121 12:28:01:118 TM_LFR_HK time = 0x 293a26d0 18

2021 121 12:28:02:130 TM_LFR_HK time = Ox 293a26d1 1da

2021 121 12:28:02:255 TM_LFR_TC_EXE_SUCCESS time = 0x 293a26d1 2507
2021 121 12:28:03:118 TM_LFR_HK time = 0x 293a26d2 1da

2021 121 12:28:03:712 TM_LFR_TC_EXE_SUCCESS time = 0x 293a26d2 99e7
2021 121 12:28:04:118 TM_LFR_HK time = 0x 293a26d3 1f7

2021 121 12:28:05:118 TM_LFR_HK time = 0x 293a26d4 1d9

2021 121 12:28:05:1565 TM_LFR_TC_EXE_SUCCESS time = 0x 293a26d4 b6a
2021 121 12:28:06:118 TM_LFR_HK time = 0x 293a26d5 1d9

2021 121 12:28:06:656 TM_LFR_TC_EXE_SUCCESS time = 0x 293a26d5 8b98
2021 121 12:28:07:118 TM_LFR_HK time = Ox 293a26d6 16

2021 121 12:28:08:118 TM_LFR_HK time = 0x 293a26d7 1d8

2021 121 12:28:09:118 TM_LFR_HK time = 0x 293a26d8 1d7

Voici la trace des paquets avec la précédente 3.3.0.1, on y voit les 2 KCOEFF DUMP envoyés a chaque fois avec l'acquittement apres :

2021 121 12:30:20:140 TM_LFR_HK time = 0x 293a275b 9d3

2021 121 12:30:21:140 TM_LFR_HK time = 0x 293a275¢ 9d2

2021 121 12:30:22:141 TM_LFR_HK time = 0x 293a275d 9f0

2021 121 12:30:22:649 TM_LFR_KCOEFFICIENTS_DUMP time = 0x 293a275d 8b05
2021 121 12:30:22:653 TM_LFR_KCOEFFICIENTS_DUMP time = 0x 293a275d 8b18
2021 121 12:30:22:653 TM_LFR_TC_EXE_SUCCESS time = 0x 293a275d 8b1e
2021 121 12:30:23:141 TM_LFR_HK time = 0x 293a275e 9d2

2021 121 12:30:24:85 TM_LFR_KCOEFFICIENTS_DUMP time = Ox 293a275e faaf
2021 121 12:30:24:90 TM_LFR_KCOEFFICIENTS_DUMP time = Ox 293a275e¢ fac2
2021 121 12:30:24:91 TM_LFR_TC_EXE_SUCCESS time = 0x 293a275e fac8

2021 121 12:30:24:141 TM_LFR_HK time = 0x 293a275f 9d1

2021 121 12:30:25:141 TM_LFR_HK time = 0x 29322760 9ef

2021 121 12:30:25:660 TM_LFR_KCOEFFICIENTS_DUMP time = 0x 293a2760 8dde
2021 121 12:30:25:664 TM_LFR_KCOEFFICIENTS_DUMP time = 0x 29322760 8df1
2021 121 12:30:25:664 TM_LFR_TC_EXE_SUCCESS time = 0x 29322760 8df7

2021 121 12:30:26:140 TM_LFR_HK time = Ox 293a2761 9d1

2021 121 12:30:27:39 TM_LFR_KCOEFFICIENTS_DUMP time = 0x 29322761 eef5
2021 121 12:30:27:43 TM_LFR_KCOEFFICIENTS_DUMP time = 0x 293a2761 ef08
2021 121 12:30:27:43 TM_LFR_TC_EXE_SUCCESS time = 0x 29322761 efOe

2021 121 12:30:27:140 TM_LFR_HK time = 0x 29322762 9d0

2021 121 12:30:28:141 TM_LFR_HK time = 0x 29322763 9ee

#7 - 01/12/2021 01:27 PM - bruno katra

- Assignee changed from Alexis Jeandet to bruno katra

Alexis a livré une 3.3.0.2, il y avait bien un bug qui n'envoyait plus les KCOEFF_DUMP. Testé en 3.3.0.2 OK.

#8 - 02/12/2021 10:51 AM - bruno katra

- Status changed from In Progress to Closed

La taille des KCOEFF dump est maintenant correcte :
1er : 676 floats soit 2704 octets
2eme : 338 floats sot 1352 octets.

MAIS :
le champ BLOCK_NUMBER est faux. J'ouvre un autre redmine spécifique.
